0

Team,

Trying to install lib which is pre-requisite to run my automation code, observe below error :

Could not install packages due to an EnvironmentError: [Errno 13] Permission denied: '/Library/Python/2.7/site-packages/futures-3.2.0.dist-info'

My environment :

  • MAC : 10.14
  • 1
    Either use sudo or a virtual environment – ernie Feb 8 at 18:17
0

You either go with creating a Python virtual environment as suggested by Ernie.

Or you can use pip install's --user option to install packages into your home directory where you have all required permissions. E.g.:

pip install myPackage --user

Do not forget to add the install directory in your home to PATH environment variable.

0

You can also try

source anaconda3/bin/activate 

and then run

 pip3 install <package-name>

Worked for me.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.